import request from '@/utils/request'

// 查询第三方平台配置列表
export function listThirdPartySetting(query) {
    return request({
        url: '/thirdParty/thirdPartySetting/list',
        method: 'get',
        params: query
    })
}

// 查询第三方平台配置详细
export function getThirdPartySetting(id) {
    return request({
        url: '/thirdParty/thirdPartySetting/' + id,
        method: 'get'
    })
}

// 新增第三方平台配置
export function addThirdPartySetting(data) {
    return request({
        url: '/thirdParty/thirdPartySetting',
        method: 'post',
        data: data
    })
}

// 修改第三方平台配置
export function updateThirdPartySetting(data) {
    return request({
        url: '/thirdParty/thirdPartySetting',
        method: 'put',
        data: data
    })
}

// 删除第三方平台配置
export function delThirdPartySetting(id) {
    return request({
        url: '/thirdParty/thirdPartySetting/' + id,
        method: 'delete'
    })
}
